//.course-reviews
.reviews {
  position: absolute 0 0 0 0;

  display: none;
  visibility: hidden;
  flex-direction: column;
  justify-content: space-between;

  height: 100%;
  padding: 35px 30px;

  @media (width <= 1279PX) {
    padding: 35px 0;
    position: static;

    display: flex !important;
    visibility: visible !important;

    opacity: 1 !important;
  }

  &-slider {
    display: flex;
    overflow: hidden;
    flex-direction: row;
    width: 100%;
    margin-bottom: 30px;
  }

  .owl-carousel {
    position: static;
  }

  .owl-next {
    .icon-arrow-right {
      position: absolute;
      z-index: 2;
      top: 50%;
      right: 15px;

      margin-top: -15px;

      cursor: pointer;

      color: $orange;

      font-size: 30px;

      @media (width <= 1279PX) {
        right: 0;
      }
    }
  }

  //.reviews .owl-prev
  .owl-prev {
    .icon-arrow-left {
      position: absolute;
      z-index: 2;
      top: 50%;
      left: 35px;

      margin-top: -15px;

      cursor: pointer;

      color: $orange;

      font-size: 30px;

      @media (width <= 1279PX) {
        left: 0;
      }
    }
  }

  //.course-reviews__heading
  &__heading {
    @extend .heading-in-course;

    margin: 0;
    margin-bottom: 30px;
    margin-left: 30px;
  }

  //.course-reviews__form
  &__form {
    max-width: 600px;
    margin-left: 65px;

    @media (width < 768PX) {
      //margin-left: 0;
      margin: auto;
    }
  }

  //.course-reviews__top
  &__top {
    display: flex;

    margin-bottom: 10px;
  }

  //.course-reviews__photo
  &__photo {
    margin-right: 15px;
  }

  //.course-reviews__who
  &__who {
    max-width: 315px;

    //.course-reviews__who .select
    .select {
      width: 100%;

      box-shadow: none;

      //.course-reviews__who .select .select-styled
      .select-styled {
        padding: 0 15px;

        text-align: left;

        color: $gray;
        border: 1px solid $blue;
        border-radius: 0;
        background-color: $white;

        font-family: $OpenSans;
        font-size: 18px;
        //line-height: 40px;

        &:after {
          border-color: $blue transparent transparent transparent;
        }

        &:active:after,
        &.active:after {
          top: 16px;
        }
      }
    }
  }

  //.course-reviews__email
  //.course-reviews__name
  &__email,
  &__name {
    width: 100%;
    margin-bottom: 10px;
    padding: 0 15px;

    text-align: left;

    color: #776e6e;
    border: 1px solid $blue;

    font-family: $OpenSans;
    font-size: 18px;
    line-height: 40px;
  }

  //.course-reviews__bottom
  &__bottom {
    max-width: 600px;
  }

  //.course-reviews__textarea
  &__textarea {
    width: 100%;
    min-height: 170px;
    padding: 15px;

    resize: none;
    text-align: left;
    
    border: 1px solid $blue;

    font-family: $OpenSans;
    font-size: 18px;
    line-height: 1.5;
  }

  //.course-reviews__select
  &__select {
    width: 100%;
    margin-bottom: 10px;
    padding: 10px 15px;

    text-align: left;

    color: #776e6e;
    border: 1px solid $blue;

    font-family: $OpenSans;
    font-size: 18px;
    line-height: 40px;
    background: #fff;
  }

  &__btns {
    //width: 90%;
    margin: auto 0;


    .btn {
      margin-right: 30px;

      @media (width <= 768PX) {
        width: 100%;
        max-width: 100%;
        margin-right: 0;
        margin-bottom: 20px;
        margin-left: 0;
      }
    }
  }

  &__tab {
    @media (width <= 768PX) {
      margin-bottom: 30px;
    }
  }
}

//.choose-photo
.choose-photo {
  position: relative;
  //.choose-photo__input
  &__input {
    display: none;
  }

  //.choose-photo__label
  &__label {
    display: flex;

    border-radius: 50%;
    background-color: $orange;
    box-shadow: 0 0px 11.18px 1.82px rgba(0, 0, 0, 0.35);

    size: 80px;
  }

  //.choose-photo .icon-photo-camera
  .icon-photo-camera {
    margin: auto;

    color: rgba(0, 0, 0, 0.5);

    font-size: 30px;
  }

  //.choose-photo__img
  &__img {
    display: flex;

    border-radius: 50%;
    background-color: $orange;
    box-shadow: 0 0px 11.18px 1.82px rgba(0, 0, 0, 0.35);

    size: 80px;
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0;
    visibility: hidden;
    
    &--show{
      opacity: 1;
      visibility: visible;
    }
  }
}
.price-icon {
  font-size: 36px;
  margin-right: 20px;
}
//.course-price
.course-price {
  position: absolute 0 0 0 0;

  display: none;
  visibility: hidden;
  overflow-y: hidden;
  flex-direction: column;
  justify-content: space-between;

  margin: 0;
  padding: 35px 30px;

  @media (width <= 1279PX) {
    visibility: visible;
    display: block;
    overflow: auto;
  }

  &__container {
    display: flex;
    flex-wrap: nowrap;
    height: 100%;

    @media (width <= 768PX) {
      flex-wrap: wrap;
      width: 100%;
    }
  }

  &__left {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    padding: 35px *;

    @media (width <= 768PX) {
      width: 100%;
    }
  }

  &__right {
    margin-left: 40px;
    max-width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;

    @media (width <= 768PX) {
      width: 100%;
      margin-left: 0;
      max-width: 100%;
    }
  }

  &__h2 {
    font-size: 24px;
    color: $blue;
    margin-bottom: 30px;
  }

  &__list {
    li {
      font-size: 20px;
      color: $gray;
      margin-bottom: 30px;
      display: flex;
      
      strong {
        font-weight: bold;
      }

      i {
        font-size: 30px;
        color: $blue;
        margin-right: 25px;
      }
    }
  }

  //.course-price__heading
  &__heading {
    @extend .heading-in-course;

    margin: 0;
    margin-bottom: 10px;
    margin-left: 30px;

    @media (width <= 768PX) {
      margin-left: 0;
    }
  }

  &__wrap {
    margin-left: 30px;

    @media (width <= 768PX) {
      margin-left: 0;
    }
  }

  &__old {
    position: relative;

    display: inline;
    overflow: hidden;
    flex-direction: column;

    text-align: left;

    color: $grey;

    font-family: $OpenSans;
    font-size: 24px;
    font-weight: bold;
    line-height: 1.2;

    @media (width <= 768PX) {
      width: fit-content;
    }
    &:after {
      position: absolute;

      display: block;

      width: 100%;
      height: 1px;

      content: "";
      transform: rotate(8deg) translateY(-12px);

      background-color: $grey;
      ;
    }
  }

  //.course-price__big
  &__big {
    display: inline;
    flex-direction: column;

    text-align: left;

    color: $blue;

    font-family: $OpenSans;
    font-size: 24px;
    font-weight: bold;

    &--lightblue {
      color: $blue;
    }

    &--darkblue {
      color: $darkBlue;
    }

    strong {
      font-size: 48px;
    }

    &--orange {
      color: $orange;
    }
  }

  //.course-price__small
  &__small {
    display: block;

    margin-bottom: 10px;

    color: $gray;

    font-size: 24px;
    font-weight: bold;
    line-height: 1.2;
  }

  &__btns {
    margin-left: 30px;

    @media (width <= 768PX) {
      margin-left: 0;
    }
  }
}

//.reviews
.reviews {
  margin-right: 30px;
  margin-left: 30px;
  

  //.reviews__heading
  &__heading {
    margin-bottom: 20px;

    color: $orange;

    font-family: $OpenSans;
    font-size: 36px;
    font-weight: bold;
    line-height: 1.2;

    @media (width <= 768PX) {
      margin-left: 0;
    }
  }


  &__tab {
    display: flex;
    flex-direction: column;
    flex-grow: 1;

    margin-bottom: 30px;
  }

  //.reviews .owl-next
  .icon-arrow-right {
    position: absolute;
    z-index: 2;
    top: 50%;
    right: 0;

    margin-top: -15px;

    cursor: pointer;

    color: $orange;

    font-size: 30px;
  }

  //.reviews .owl-prev
  .icon-arrow-left {
    position: absolute;
    z-index: 2;
    top: 50%;
    left: 0;

    margin-top: -15px;

    cursor: pointer;

    color: $orange;

    font-size: 30px;
  }
}

//.mention
.mention {
  display: flex;

  padding: 0 35px;

  @media (width < 1279PX) {
    display: block;
  }

  //.mention__img
  &__img {
    min-width: 100px;
    margin-right: 20px;
    padding: 10px;

    size: 100px;

    //.mention__img img
    img {
      border-radius: 50%;
      box-shadow: 0 0px 11.18px 1.82px rgba(0, 0, 0, 0.35);
      size: 100%;
    }
    .icon-speech-chat {
      font-size: 55px;
      color: #00c4d1;
    }
  }

  //.mention__top
  &__top {
    display: flex;
    flex-direction: column;
    justify-content: space-around;

    height: 80px;
    margin-bottom: 15px;
  }

  //.mention__name
  &__name {
    text-align: left;

    color: $gray;

    font-family: $OpenSans;
    font-size: 24px;
    line-height: 1.2;
  }

  //.mention__course
  &__course {
    text-align: left;

    color: $gray;

    font-family: $OpenSans;
    font-size: 18px;
    line-height: 1.2;
  }

  //.mention__description
  &__description {
    text-align: left;

    color: $gray;

    font-family: $OpenSans;
    font-size: 18px;
    line-height: 1.2;
  }
}


ul.tabs {
  display: block;

  width: 100%;
  margin: 0;
  padding: 0;

  border-bottom: 1px solid $blue;

  @media (width <= 768PX) {
    display: none;
  }
}

ul.tabs li {
  position: relative;
  z-index: 1;
  bottom: -1px;

  float: left;
  overflow: hidden;

  width: 50%;
  margin: 0;
  padding: 20px 40px;

  cursor: pointer;
  text-align: left;

  color: $lightGray;
  border-top: 1px solid $lightGray;
  border-right: 1px solid $lightGray;
  border-left: 1px solid $lightGray;
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;

  font-size: 24px;
  font-weight: bold;
  line-height: 1.2;
}

.tab_last {
  position: relative;
  left: -1px;
}

ul.tabs li:hover {
  color: darken($blue, 20%);
}

ul.tabs li.active {
  z-index: 2;

  display: block;

  color: $blue;
  border-top: 1px solid $blue;
  border-right: 1px solid $blue;
  border-bottom: 1px solid $white;
  border-left: 1px solid $blue;
}

.tab__wrapper {
  border: 1px solid $blue;
  border-top: none;
  flex-grow: 1;
  position: relative;
  padding-top: 10px;
  padding-bottom: 10px;
  overflow: hidden;

  @media (width <= 768PX) {
    padding-top: 0;
  }
}

.tab_container {
  overflow: auto;

  width: 95%;
  position: absolute;
  top: 2%;
  height: 96%;
  left: 0;
  bottom: 2%;

  @media (width <= 1279PX) {
    border: none;
    width: 100%;
    position: static;
  }
}

.tab_content {
  display: none;

  padding: 20px;

  @media (width < 768PX) {
    padding: 0;
  }
}

.tab_drawer_heading {
  display: none;
}

@media (width <= 768PX) {
  .tabs {
    display: none;
  }
  .tab_drawer_heading {
    display: block;

    margin: 0;
    padding: 5px 20px;

    cursor: pointer;
    user-select: none;

    color: $blue;
    border-top: 1px solid $blue;
    background-color: $white;

    font-size: 24px;
  }
  .d_active {
    color: $blue;
    background-color: $white;
  }
}

.course-reviews-popup {
  position: absolute 0 0 0 0;
  z-index: 2;

  display: none;

  padding: 35px 0px;

  background-color: $white;

  @media (width <= 768PX) {
    position: static;

    display: flex;
    flex-direction: column;
    align-items: center;
  }

  &__btn {
    position: absolute;
    top: 0;
    right: 0;

    display: block;

    padding: 30px;

    border: none;
    background-color: transparent;

    @media (width <= 768PX) {
      display: none;
    }
  }

  .icon-close {
    cursor: pointer;

    color: $blue;

    font-size: 24px;
  }
  .checkin__text {
    margin-bottom: 10px;
  }
}
